
From: Andrew Morton <akpm@osdl.org>

fs/char_dev.c:107: warning: function declaration isn't a prototype
drivers/block/genhd.c:109: warning: function declaration isn't a prototype

Cc: Neil Horman <nhorman@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/block/genhd.c |    2 +-
 fs/char_dev.c         |    3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)

diff -puN drivers/block/genhd.c~convert-proc-devices-to-use-seq_file-interface-fix drivers/block/genhd.c
--- devel/drivers/block/genhd.c~convert-proc-devices-to-use-seq_file-interface-fix	2005-08-30 19:20:12.000000000 -0700
+++ devel-akpm/drivers/block/genhd.c	2005-08-30 19:20:12.000000000 -0700
@@ -105,7 +105,7 @@ void release_blkdev_list(void *dev)
  * Count the number of records in the blkdev_list.
  * must be called with the block_subsys_sem held
  */
-int count_blkdev_list()
+int count_blkdev_list(void)
 {
 	struct blk_major_name *n;
 	int i, count;
diff -puN fs/char_dev.c~convert-proc-devices-to-use-seq_file-interface-fix fs/char_dev.c
--- devel/fs/char_dev.c~convert-proc-devices-to-use-seq_file-interface-fix	2005-08-30 19:20:12.000000000 -0700
+++ devel-akpm/fs/char_dev.c	2005-08-30 19:20:12.000000000 -0700
@@ -102,8 +102,7 @@ void release_chrdev_list(void *dev)
 	kfree(dev);
 }
 
-
-int count_chrdev_list()
+int count_chrdev_list(void)
 {
 	struct char_device_struct *cd;
 	int i, count;
_
